=== debian/changelog ===
binutils-avr (2.26.20160125+Atmel3.7.0-2) unstable; urgency=low

  * debian/patches: Clean up the patches and add another stack smash fix.
  * debian/control: Remove autotools-dev and dh-autoreconf from
                    Build-Depends.
  * debian/rules: Fix some issues found by lintian. Add hardening.

 -- Steve Meliza <swm@swm1.com>  Fri, 27 Oct 2023 17:03:15 -0700

binutils-avr (2.26.20160125+Atmel3.7.0-1) unstable; urgency=low

  * New Maintainer (Closes: #1051390)
  * New upstream release
  * debian/watch: Update path and REGEX
  * debian/copyright: Update to DEP5
  * debian/control: Increase Standards-Version to 4.6.2

  [Max A. Dednev]
  * Stack smashing patch (Closes: 1006223)

 -- Steve Meliza <swm@swm1.com>  Mon, 16 Oct 2023 19:48:23 -0700
