=== debian/control ===
Source: binutils-avr
Section: devel
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Standards-Version: 4.6.2
Homepage: https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers
Build-Depends: bison, flex, gettext, texinfo, binutils, debhelper-compat (= 13), bzip2, zlib1g-dev
Vcs-Git: https://salsa.debian.org/debian/binutils-avr.git
Vcs-Browser: https://salsa.debian.org/debian/binutils-avr

Package: binutils-avr
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: binutils
Description: Binary utilities supporting Atmel's AVR targets
 The programs in this package are used to manipulate binary and object
 files that may have been created for Atmel's AVR architecture.  This package
 is primarily for AVR developers and cross-compilers and is not needed
 by normal users or developers.
