## binutils-avr 2.43.1

=== debian/changelog ===
binutils-avr (2.43.1-1) unstable; urgency=low
  * Switch to mainstream binutils (Closes: #855849)
  * Fix fail to build source after build (Closes: #1044001)
  * Switch over to dh sequencer

 -- Steve Meliza <swm@swm1.com>  Sun, 29 Sep 2024 14:32:21 -0700
