=== debian/control ===
--- 
+++ 
@@ -2,9 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Steve Meliza <swm@swm1.com>
-Standards-Version: 4.6.2
-Homepage: https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers
-Build-Depends: bison, flex, gettext, texinfo, binutils, debhelper-compat (= 13), bzip2, zlib1g-dev
+Build-Depends: debhelper-compat (= 13),
+               bison,
+               flex,
+               gettext,
+               texinfo,
+               binutils-source (>=2.43.1),
+               bzip2,
+               zlib1g-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://www.gnu.org/s/binutils/
 Vcs-Git: https://salsa.debian.org/debian/binutils-avr.git
 Vcs-Browser: https://salsa.debian.org/debian/binutils-avr
