## binutils-avr 2.43.50.20241215

=== debian/changelog ===
binutils-avr (2.43.50.20241215-1) unstable; urgency=high

  * d/rules: Turn off new warning causing a FTBFS (Closes: #1090195)

  [Helmut Grohne]
  * d/rules: Don't force the build architecture compiler. (Closes: #1086132)

 -- Steve Meliza <swm@swm1.com>  Thu, 19 Dec 2024 22:04:29 -0800
