=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                flex,
                gettext,
                texinfo,
-               binutils-source (>=2.43.1),
+               binutils-source (>=2.43.50.20241215),
                bzip2,
                zlib1g-dev
 Standards-Version: 4.7.0
