## binutils-avr 2.43.50.20250108

=== debian/changelog ===
binutils-avr (2.43.50.20250108-1) unstable; urgency=high

  * d/size_avr_support.patch: Add casts to fix build error on some archs.

 -- Steve Meliza <swm@swm1.com>  Fri, 24 Jan 2025 17:12:30 -0800
