=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
+
+#https://wiki.debian.org/PackagingLessCommonBinutilsTargets
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -26,7 +28,7 @@
            --disable-static \
            --disable-gdb --disable-libdecnumber --disable-readline \
            --disable-sim \
-           $(shell env DEB_CFLAGS_MAINT_APPEND="-Wno-implicit-fallthrough -Wno-format-overflow -Wno-pointer-compare -Wno-error=cast-function-type -Wno-error=stringop-truncation -Wno-error=format-truncation" \
+           $(shell env DEB_CFLAGS_MAINT_APPEND="-Wno-implicit-fallthrough -Wno-format-overflow -Wno-pointer-compare -Wno-error=cast-function-type -Wno-error=stringop-truncation -Wno-error=format-truncation -Wno-error=discarded-qualifiers" \
 		     env DEB_BUILD_MAINT_OPTIONS="hardening=+all" \
 		     dpkg-buildflags --export=configure)
 
@@ -65,7 +67,7 @@
 
 	dh_update_autotools_config
 	# Add here commands to configure the package.
-	cd $(BUILD_TREE) && env CC="gcc" CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" CPPFLAGS="$(CPPFLAGS)" ../src/configure $(CONFARGS)
+	cd $(BUILD_TREE) && env CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" CPPFLAGS="$(CPPFLAGS)" ../src/configure $(CONFARGS)
 	make -C $(BUILD_TREE) maybe-configure-bfd
 	make -C $(BUILD_TREE)/bfd/ headers
 	touch configure-stamp
