=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/binutils/binutils-(.*)\.tar\.(?:gz|bz2|xz)
